Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361530 - [RFE] Monitoring of persistent volume file system [NEEDINFO]
Summary: [RFE] Monitoring of persistent volume file system
Keywords:
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.3.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Bradley Childs
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 10:52 UTC by Brendan Mchugh
Modified: 2019-03-30 07:04 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 13:54:36 UTC
hgomes: needinfo? (bchilds)
jack.ottofaro: needinfo? (bchilds)
gferrazs: needinfo? (bchilds)


Attachments (Terms of Use)

Description Brendan Mchugh 2016-07-29 10:52:07 UTC
1. Proposed title of this feature request
Monitoring of persistent volume file system

3. What is the nature and description of the request?  
As a DevOps, I would like for all my persistent volumes to be monitored
So that I can inspect the usage of the volume and react in time should the usage approach the volume's capacity.
It should be possible, for each volume, to inspect it's usage history and current usage value.

4. Why does the customer need this? (List the business requirements here)  
The motivation would be pretty much the same as for RAM and CPU usage monitoring; basically, what one wants to understand (for capacity management purposes), to what extent volumes are being used, and to recognize trends over time.

It would be interesting to retain the data over the period of a year.
For the intervals it would be expected historical data updates could be more coarse grained, maybe 1-2 per day?


5. How would the customer like to achieve this? (List the functional requirements here)  
I would expect that
	- PV metrics data is exposed via hawkular APIs
	- the usage is given as percentage on a pods's detail page, in the Volumes section
	- is visualized with graphing over a years period in the Metrics tab (basically a visualization of all attached volumes)

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
No

Comment 2 Simon Gunzenreiner 2016-10-12 08:44:59 UTC
Note that Kube 1.4 has something like it is requested here in its dashboard: https://t.co/2aG5miEpNo

Comment 7 Eric Rich 2018-03-12 13:54:36 UTC
This bug has been identified as a dated (created more than 3 months ago) bug. 
This bug has been triaged (has a trello card linked to it), or reviewed by Engineering/PM and has been put into the product backlog, 
however this bug has not been slated for a currently planned release (3.9, 3.10 or 3.11), which cover our releases for the rest of the calendar year. 

As a result of this bugs age, state on the current roadmap and PM Score (being below 70), this bug is being Closed - Differed, 
as it is currently not part of the products immediate priorities.

Please see: https://docs.google.com/document/d/1zdqF4rB3ea8GmVIZ7qWCVYUaQ7-EexUrQEF0MTwdDkw/edit for more details.


Note You need to log in before you can comment on or make changes to this bug.